Subject: Re: bash completion bug: "symbolic-ref" subcommand doesn't complete

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Mar 2026 09:21:53 -0700

Andrey <[email-masked]> writes:

> Bash can't complete some commands, e.g. symbolic-ref, bugreport, maybe 
> others.

Isn't this working as intended?

Our general principle is that the plumbing commands are not designed
to be "typed" by end-user to use interactively, and cat-file,
commit-tree, etc. are not completed to reduce cluttering when the
user does

	$ git <TAB>

If zsh completion includes plumbing commands, then zsh completion is
buggy, or those who designed zsh completion did not understand the
general principle ;-).